summaryrefslogtreecommitdiffstats
path: root/libraries/c-ares/c-ares.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/c-ares/c-ares.SlackBuild')
-rw-r--r--libraries/c-ares/c-ares.SlackBuild16
1 files changed, 11 insertions, 5 deletions
diff --git a/libraries/c-ares/c-ares.SlackBuild b/libraries/c-ares/c-ares.SlackBuild
index 59e4a5f6b6..141b7f1ca2 100644
--- a/libraries/c-ares/c-ares.SlackBuild
+++ b/libraries/c-ares/c-ares.SlackBuild
@@ -5,9 +5,9 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=c-ares
-VERSION=${VERSION:-1.6.0}
+VERSION=${VERSION:-1.7.0}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -48,12 +48,18 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--disable-static \
- --enable-shared \
--disable-debug \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -71,4 +77,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}